Description: Fix libnames for qttestrunner
 Set CONFIG to build a release shared lib; remove "_shared" from
 shared lib name; link against libcppunit in directory
 src/cppunit/.libs
 
 Note: patch not currently used, as libqttestrunner1c2a package was removed
 to close bug #604345.
Author: Steve M. Robbins <smr@debian.org>
Forwarded: no
Last-Update: 2011-12-09

--- cppunit-1.12.1.orig/src/qttestrunner/qttestrunnerlib.pro
+++ cppunit-1.12.1/src/qttestrunner/qttestrunnerlib.pro
@@ -21,6 +21,8 @@ CONFIG += qt warn_on debug staticlib
 #CONFIG += qt warn_on debug dll
 #CONFIG += qt warn_on release dll
 
+# Debian settings
+CONFIG = qt warn_on thread release dll
 
 QTRUNNER_LIB = qttestrunner   # Name of the library
 
@@ -84,16 +86,15 @@ unix {
     MOC_DIR = .moc
     UI_DIR = .moc
     DESTDIR = ../../lib
+    LIBS += -L../../src/cppunit/.libs -lcppunit
     dll {
         debug {
-            TARGET = $${QTRUNNER_LIB}d_shared
+            TARGET = $${QTRUNNER_LIB}d
             OBJECTS_DIR = .obj_debug_shared
-            LIBS += -L../../lib -lcppunit
         }
         release {
-            TARGET = $${QTRUNNER_LIB}_shared
+            TARGET = $${QTRUNNER_LIB}
             OBJECTS_DIR = .obj_release_shared
-            LIBS += -L../../lib -lcppunit
         }
     }
     staticlib {
